# frozen_string_literal: true

require 'forwardable'
require 'eureka_ruby/middleware'
require 'eureka_ruby/configuration'
require 'eureka_ruby/executor'
require 'eureka_ruby/version'
require 'eureka_ruby/railtie' if defined? Rails

module EurekaRuby
  class << self
    extend Forwardable

    attr_reader :executor
    def_delegators :executor, :run

    def executor
      @executor ||= Executor.new
    end
  end
end
