# frozen_string_literal: true

require 'rails/generators/base'

module EurekaRuby
  module Generators
    # rails g eureka_ruby:install
    class InstallGenerator < Rails::Generators::Base # :nodoc:
      source_root File.expand_path(File.join(File.dirname(__FILE__), 'templates'))

      desc <<DESC
Description:
    Copies EurekaRuby install file to your application's initializer directory.
DESC
      def copy_install_file
        template 'eureka_ruby.rb', 'config/initializers/eureka_ruby.rb'
      end
    end
  end
end
